complexType "TradeNovationContent"

Namespace: | http://www.fpml.org/FpML-5/transparency
Content: | complex, 15 elements
Defined: | globally in fpml-business-events-5-3.xsd; see XML source
Includes: | definitions of 14 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...>
Content: | eventIdentifier*, (oldTradeIdentifier* | oldTrade?), (newTradeIdentifier* | newTrade?)?, novationDate, executionDateTime, novationTradeDate, ((novatedAmount, remainingAmount) | (novatedNumberOfOptions?, remainingNumberOfOptions?) | (novatedNumberOfUnits?, remainingNumberOfUnits?)), payment?
</...>

Content Model Elements (15):

  eventIdentifier (defined in AbstractEvent complexType), executionDateTime (in novation), newTrade, newTradeIdentifier, novatedAmount, novatedNumberOfOptions, novatedNumberOfUnits, novationDate, | novationTradeDate, oldTrade (in novation), oldTradeIdentifier (in novation), payment (in novation), remainingAmount, remainingNumberOfOptions, remainingNumberOfUnits

All Direct / Indirect Based Elements (1):

  novation

Known Usage Locations

- As direct type of elements (1):
  novation

Annotation
A structure describing a novation.
Type Definition Detail

Type Derivation Tree AbstractEvent (extension) TradeNovationContent

XML Source (w/o annotations (18); see within schema source)

<xsd:complexType name="TradeNovationContent"> <xsd:complexContent> <xsd:extension base="AbstractEvent"> <xsd:sequence> <!--View Generation: Removed a degenerate choice.--> <xsd:sequence> <xsd:choice> <xsd:element maxOccurs="unbounded" minOccurs="0" name="oldTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="oldTrade" type="Trade"/> </xsd:choice> <xsd:choice minOccurs="0"> <xsd:element maxOccurs="unbounded" minOccurs="0" name="newTradeIdentifier" type="PartyTradeIdentifier"/> <xsd:element minOccurs="0" name="newTrade" type="Trade"/> </xsd:choice> </xsd:sequence> <!--View Generation: SKIPPED transferor - PartySpecific--> <!--View Generation: SKIPPED transferorAccount - PartySpecific--> <!--View Generation: SKIPPED transferee - PartySpecific--> <!--View Generation: SKIPPED transfereeAccount - PartySpecific--> <!--View Generation: SKIPPED remainingParty - PartySpecific--> <!--View Generation: SKIPPED remainingPartyAccount - PartySpecific--> <!--View Generation: SKIPPED otherRemainingParty - PartySpecific--> <!--View Generation: SKIPPED otherRemainingPartyAccount - PartySpecific--> <xsd:element name="novationDate" type="xsd:date"/> <!-- added BAL 2011-03 for SDR reporting --> <xsd:element name="executionDateTime" type="ExecutionDateTime"/> <xsd:element name="novationTradeDate" type="xsd:date"/> <xsd:choice> <xsd:sequence> <xsd:element name="novatedAmount" type="Money"/> <xsd:element name="remainingAmount" type="Money"/> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="novatedNumberOfOptions" type="xsd:decimal"/> <xsd:element minOccurs="0" name="remainingNumberOfOptions" type="xsd:decimal"/> </xsd:sequence> <xsd:sequence> <xsd:element minOccurs="0" name="novatedNumberOfUnits" type="xsd:decimal"/> <xsd:element minOccurs="0" name="remainingNumberOfUnits" type="xsd:decimal"/> </xsd:sequence> </xsd:choice> <!--View Generation: SKIPPED fullFirstCalculationPeriod - Documentation--> <!--View Generation: SKIPPED firstPeriodStartDate - Documentation--> <!--View Generation: SKIPPED nonReliance - Documentation--> <!--View Generation: SKIPPED creditDerivativesNotices - Documentation--> <!--View Generation: SKIPPED contractualDefinitions - Documentation--> <!--View Generation: SKIPPED contractualTermsSupplement - Documentation--> <xsd:element minOccurs="0" name="payment" type="Payment"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 14/15)
executionDateTime

  Type: | ExecutionDateTime, simple content

  The date and time at which the change was agreed.
  Simple Content

  xsd:dateTime

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="executionDateTime" type="ExecutionDateTime"/>

newTrade

  Type: | Trade, complex content

  Indicates the original trade between the transferor and the remaining party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="newTrade" type="Trade"/>

newTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  Indicates a reference to the new trade between the transferee and the remaining party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="newTradeIdentifier" type="PartyTradeIdentifier"/>

novatedAmount

  Type: | Money, complex content

  The amount which represents the portion of the Old Contract being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="novatedAmount" type="Money"/>

novatedNumberOfOptions

  Type: | xsd:decimal, predefined, simple content

  The number of options which represent the portion of the Old Contract being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="novatedNumberOfOptions" type="xsd:decimal"/>

novatedNumberOfUnits

  Type: | xsd:decimal, predefined, simple content

  The number of options which represent the portion of the Old Contract being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="novatedNumberOfUnits" type="xsd:decimal"/>

novationDate

  Type: | xsd:date, predefined, simple content

  Specifies the date that one party's legal obligations with regard to a trade are transferred to another party. It corresponds to the Novation Date section of the 2004 ISDA Novation Definitions, section 1.16.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="novationDate" type="xsd:date"/>

novationTradeDate

  Type: | xsd:date, predefined, simple content

  Specifies the date the parties agree to assign or novate a Contract. If this element is not specified, the novationContractDate will be deemed to be the novationDate. It corresponds to the Novation Trade Date section of the 2004 ISDA Novation Definitions, section 1.17.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="novationTradeDate" type="xsd:date"/>

oldTrade

  Type: | Trade, complex content

  Indicates the original trade between the transferor and the remaining party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="oldTrade" type="Trade"/>

oldTradeIdentifier

  Type: | PartyTradeIdentifier, complex content

  Indicates a reference to the original trade between the transferor and the remaining party.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="oldTradeIdentifier" type="PartyTradeIdentifier"/>

payment

  Type: | Payment, complex content

  Describes a payment made in settlement of the novation.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="payment" type="Payment"/>

remainingAmount

  Type: | Money, complex content

  The amount which represents the portion of the Old Contract not being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element name="remainingAmount" type="Money"/>

remainingNumberOfOptions

  Type: | xsd:decimal, predefined, simple content

  The number of options which represent the portion of the Old Contract not being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="remainingNumberOfOptions" type="xsd:decimal"/>

remainingNumberOfUnits

  Type: | xsd:decimal, predefined, simple content

  The number of options which represent the portion of the Old Contract not being novated.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="remainingNumberOfUnits" type="xsd:decimal"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.